%Read operational parameters from excel file "input.xlsx" with the 
%defined ranges


%Set equal to 1 if testing model due to increased running time
%at normal problem size
if reducedNumberOfStates == 1
    
    
    powerDemand = xlsread('input.xlsx',sheet,'D2:E3');
    fractionOfTime = xlsread('input.xlsx',sheet,'D4:E5');
    
    %Electricity-only modes
    elOnly = xlsread('input.xlsx',sheet,'D6:E7');
    
    %Fuel compliance in operational states
    compl1 = xlsread('input.xlsx',sheet,'D8:E9');
    compl2 = xlsread('input.xlsx',sheet,'D10:E11');
    
else
    powerDemand = xlsread('input.xlsx',sheet,'B2:G3');
    fractionOfTime = xlsread('input.xlsx',sheet,'B4:G5');
    
    elOnly = xlsread('input.xlsx',sheet,'B6:G7');
    
    compl1 = xlsread('input.xlsx',sheet,'B8:G9');
    compl2 = xlsread('input.xlsx',sheet,'B10:G11');
    
end

deFCompliance(:,:,1) = compl1';
deFCompliance(:,:,2) = compl2';
